idris-1.0: Functional Programming Language with Dependent Types

Copyright | License : BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell98

Idris.DSL

Description

Synopsis

- debindApp :: SyntaxInfo -> PTerm -> PTerm
- dslify :: SyntaxInfo -> IState -> PTerm -> PTerm
- desugar :: SyntaxInfo -> IState -> PTerm -> PTerm
- mkTTName :: FC -> Name -> PTerm
- expandSugar :: DSL -> PTerm -> PTerm
- var :: DSL -> Name -> PTerm -> Int -> PTerm
- unIdiom :: PTerm -> PTerm -> FC -> PTerm -> PTerm
- debind :: PTerm -> PTerm -> PTerm

# Documentation

debindApp :: SyntaxInfo -> PTerm -> PTerm #

dslify :: SyntaxInfo -> IState -> PTerm -> PTerm #

desugar :: SyntaxInfo -> IState -> PTerm -> PTerm #

mkTTName :: FC -> Name -> PTerm #

expandSugar :: DSL -> PTerm -> PTerm #

var :: DSL -> Name -> PTerm -> Int -> PTerm #

Replace DSL-bound variable in a term

unIdiom :: PTerm -> PTerm -> FC -> PTerm -> PTerm #

debind :: PTerm -> PTerm -> PTerm #